import imdb
import random
import logging

logging.basicConfig(filename="gwendolyn.log", level=logging.INFO)

# Picks a random movie and returns information about it
def movieFunc():
	try:
		print("Creating IMDb object")
		logging.info("Creating IMDb object")
		ia = imdb.IMDb()

		print("Picking a movie")
		logging.info("Picking a movie")
		movs = open("resources/movies.txt", "r")
		movlist = movs.read().split("\n")
		mov = random.choice(movlist)
		movs.close()

		print("Searching for "+mov)
		logging.info("Searching for "+mov)
		s_result = ia.search_movie(mov)

		print("Getting the data")
		logging.info("Getting the data")
		movie = s_result[0]
		ia.update(movie)
		cast = movie['cast']
		pcast = ""
		for x in range(3):
			if cast[x]:
				pcast += cast[x]['name']+", "
		print("Successfully ran !movie")
		logging.info("Successfully ran !movie")
		return(movie['title'], movie['plot'][0].split("::")[0], movie['cover url'].replace("150","600").replace("101","404"), pcast[:-2])
	except:
		print("Something bad happened...")
		logging.info("Something bad happened...")
		return("error","","","")
